# List Products From a Manual Price List Retrieves products' details from the specified Manual Price List. A filter can be applied. Endpoint: POST /manualpricelistmanager.fetch/{id} Security: basic, X-PriceFx-jwt ## Path parameters: - `id` (string, required) The ID of the Manual Price List you want to retrieve products from. ## Request fields (application/json): - `endRow` (number) - `oldValues` (any) - `operationType` (string) - `startRow` (number) - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.value` (string) ## Response 200 fields (application/json): - `response` (object) - `response.status` (number) - `response.startRow` (number) - `response.node` (string) - `response.csrfToken` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.sku` (string) - `response.data.label` (string) - `response.data.unitOfMeasure` (string) - `response.data.currency` (string) - `response.data.comments` (any) - `response.data.pricelistId` (number) - `response.data.lastUpdateByName` (string) - `response.data.createdByName` (any) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.attribute1` (any) - `response.data.attribute2` (any) - `response.data.attribute3` (any) - `response.data.attribute4` (any) - `response.data.attribute5` (any) - `response.data.attribute6` (any) - `response.data.attribute7` (any) - `response.data.attribute8` (any) - `response.data.attribute9` (any) - `response.data.attribute10` (any) - `response.data.attribute11` (any) - `response.data.attribute12` (any) - `response.data.attribute13` (any) - `response.data.attribute14` (any) - `response.data.attribute15` (any) - `response.data.attribute16` (any) - `response.data.attribute17` (any) - `response.data.attribute18` (any) - `response.data.attribute19` (any) - `response.data.attribute20` (any) - `response.data.attribute21` (any) - `response.data.attribute22` (any) - `response.data.attribute23` (any) - `response.data.attribute24` (any) - `response.data.attribute25` (any) - `response.data.attribute26` (any) - `response.data.attribute27` (any) - `response.data.attribute28` (any) - `response.data.attribute29` (any) - `response.data.attribute30` (any) - `response.endRow` (number)